SystemOrganization addCategory: #GODTextIO!

Object subclass: #TXTInterface
	instanceVariableNames: 'types'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTInterface commentStamp: 'jlcg 9/25/2014 09:50' prior: 0!
Text input and output interface with GOD.!

!TXTInterface methodsFor: 'file reading' stamp: 'jlcg 9/27/2014 11:51'!
readFromFile: path
	"Read a file from path and converts its contents to a GODData object. Try to extract the file type from the path."

	^GODData new.! !

!TXTInterface methodsFor: 'file reading' stamp: 'jlcg 9/27/2014 11:51'!
readFromFile: path type: type
	"Read a file of a given type from path and converts its contents to a GODData object."

	^GODData new.! !

!TXTInterface methodsFor: 'file writing' stamp: 'jlcg 9/27/2014 08:22'!
write: godData toFile: path
	"Write a GODData object contents to a file. Try to extract the file type from its path."

	^true.! !

!TXTInterface methodsFor: 'file writing' stamp: 'jlcg 9/27/2014 08:22'!
write: godData toFile: path type: type
	"Write a GODData object contents to a file of a given type."

	^true.! !

!TXTInterface methodsFor: 'file writing' stamp: 'jlcg 9/27/2014 08:22'!
write: godData toFile: path type: type append: append
	"Write a GODData object contents to a file of a given type. Append determines whether to append contents to an existing file on the given path."

	^true.! !

!TXTInterface methodsFor: 'file writing' stamp: 'jlcg 9/27/2014 08:22'!
write: godData toFile: path type: type overwrite: overwrite
	"Write a GODData object contents to a file of a given type. Overwrite determines whether to overwrite or not an existing file of the same name in the given path."

	^true.! !

Object subclass: #TXTMainProcessor
	instanceVariableNames: 'append content overwrite path'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTMainProcessor commentStamp: 'jlcg 9/27/2014 12:01' prior: 0!
This is the main class of the module. The intent of this class is to be used only by this module. The interface with GOD is TXTInterface class.!

TXTMainProcessor subclass: #TXTDocProcessor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTDocProcessor commentStamp: 'jlcg 9/27/2014 08:34' prior: 0!
This class process .doc files. The development of this class is secondary.!

!TXTDocProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:36'!
readDocFile
	"Read contents of a DOC file in 'path' to 'content'."

	^true.! !

!TXTDocProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:35'!
writeDocFile
	"Write 'content' to a DOC file in path 'path'."

	^true.! !

TXTMainProcessor subclass: #TXTOdfProcessor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTOdfProcessor commentStamp: 'jlcg 9/27/2014 08:34' prior: 0!
This class process ODF files. The development of this class is secondary.!

!TXTOdfProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:36'!
readOdfFile
	"Read contents of a ODF file in 'path' to 'content'."

	^true.! !

!TXTOdfProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:35'!
writeOdfFile
	"Write 'content' to an ODF file in path 'path'."

	^true.! !

TXTMainProcessor subclass: #TXTPdfProcessor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTPdfProcessor commentStamp: 'jlcg 9/27/2014 08:34' prior: 0!
This class process PDF files. The development of this class is secondary.!

!TXTPdfProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:36'!
readPdfFile
	"Read contents of a PDF file in 'path' to 'content'."

	^true.! !

!TXTPdfProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:35'!
writePdfFile
	"Write 'content' to a PDF file in path 'path'."

	^true.! !

TXTMainProcessor subclass: #TXTTextProcessor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIO'!

!TXTTextProcessor commentStamp: 'jlcg 9/27/2014 08:33' prior: 0!
This class process text files. The development of this class is prioritary.!

!TXTTextProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:22'!
readTextFile
	"Read contents to a text file in 'path' to 'content'."

	^true.! !

!TXTTextProcessor methodsFor: 'file processing' stamp: 'jlcg 9/27/2014 08:22'!
writeTextFile
	"Write 'content' to a text file in path 'path'."

	^true.! !
